## raysession 0.14.4

=== Makefile ===
#!/usr/bin/make -f
# Makefile for RaySession #
# ---------------------- #
# Created by houston4444
#
PREFIX ?= /usr/local
DESTDIR =
DEST_RAY := $(DESTDIR)$(PREFIX)/share/raysession

LINK = ln -s -f
PYUIC := pyuic5
PYRCC := pyrcc5

LRELEASE := lrelease
ifeq (, $(shell which $(LRELEASE)))
 LRELEASE := lrelease-qt5
endif

ifeq (, $(shell which $(LRELEASE)))
 LRELEASE := lrelease-qt4
endif

PYTHON := python3
ifeq (, $(shell which $(PYTHON)))
 PYTHON := python
endif

PATCHBAY_DIR=HoustonPatchbay

# ---------------------

all: PATCHBAY RES UI LOCALE

PATCHBAY:
	@(cd $(PATCHBAY_DIR) && $(MAKE))

# ---------------------
# Resources

RES: src/gui/resources_rc.py

src/gui/resources_rc.py: resources/resources.qrc
	$(PYRCC) $< -o $@

# ---------------------
# UI code

UI: mkdir_ui raysession ray_proxy

mkdir_ui:
	@if ! [ -e src/gui/ui ];then mkdir -p src/gui/ui; fi

raysession: src/gui/ui/abort_copy.py \
	    src/gui/ui/abort_session.py \
	    src/gui/ui/about_raysession.py \
	    src/gui/ui/add_application.py \
	    src/gui/ui/ardour_convert.py \
		src/gui/ui/client_advanced_properties.py \
	    src/gui/ui/client_properties.py \
	    src/gui/ui/client_rename.py \
	    src/gui/ui/client_slot.py \
	    src/gui/ui/client_trash.py \
	    src/gui/ui/donations.py \
	    src/gui/ui/daemon_url.py \
	    src/gui/ui/error_dialog.py \
	    src/gui/ui/hydro_rh_nsm.py \
	    src/gui/ui/jack_config_info.py \
	    src/gui/ui/list_snapshots.py \
	    src/gui/ui/new_executable.py \
	    src/gui/ui/new_session.py \
	    src/gui/ui/nsm_properties.py \
	    src/gui/ui/ray_hack_copy.py \
	    src/gui/ui/nsm_open_info.py \
	    src/gui/ui/open_session.py \
	    src/gui/ui/preview_client_slot.py \
	    src/gui/ui/quit_app.py \
	    src/gui/ui/ray_hack_properties.py \
	    src/gui/ui/ray_net_properties.py \
	    src/gui/ui/ray_to_nsm.py \
	    src/gui/ui/raysession.py \
	    src/gui/ui/remove_template.py \
	    src/gui/ui/save_template_session.py \
	    src/gui/ui/session_scripts_info.py \
	    src/gui/ui/script_info.py \
	    src/gui/ui/script_user_action.py \
	    src/gui/ui/session_notes.py \
		src/gui/ui/settings.py \
	    src/gui/ui/snapshot_name.py \
	    src/gui/ui/snapshots_info.py \
	    src/gui/ui/snapshot_progress.py \
	    src/gui/ui/startup_dialog.py \
	    src/gui/ui/systray_close.py \
	    src/gui/ui/stop_client.py \
	    src/gui/ui/stop_client_no_save.py \
	    src/gui/ui/template_slot.py \
	    src/gui/ui/waiting_close_user.py

src/gui/ui/%.py: resources/ui/%.ui
	$(PYUIC) $< -o $@

ray_proxy: src/clients/proxy/ui_proxy_copy.py \
	   src/clients/proxy/ui_proxy_gui.py
	
src/clients/proxy/ui_%.py: resources/ui/%.ui
	$(PYUIC) $< -o $@
	
PY_CACHE:
	$(PYTHON) -m compileall src/
	
# ------------------------
# # Translations Files

LOCALE: locale

locale: locale/raysession_en.qm \
		locale/raysession_fr.qm \

locale/%.qm: locale/%.ts
	$(LRELEASE) $< -qm $@

# -------------------------

clean:
	@(cd $(PATCHBAY_DIR) && $(MAKE) $@)
	rm -f *~ src/*~ src/*.pyc  src/clients/proxy/ui_*.py \
	      src/gui/resources_rc.py  locale/*.qm
	rm -f -R src/gui/ui
	rm -f -R src/__pycache__ src/*/__pycache__ src/*/*/__pycache__ \
		  src/*/*/*/__pycache__

# -------------------------

debug:
	$(MAKE) DEBUG=true

# -------------------------

install: uninstall pure_install

uninstall:
	rm -f $(DESTDIR)$(PREFIX)/bin/raysession
	rm -f $(DESTDIR)$(PREFIX)/bin/ray-daemon
	rm -f $(DESTDIR)$(PREFIX)/bin/ray-proxy
	rm -f $(DESTDIR)$(PREFIX)/bin/ray-jack_checker_daemon
	rm -f $(DESTDIR)$(PREFIX)/bin/ray-jack_config_script
	rm -f $(DESTDIR)$(PREFIX)/bin/ray-pulse2jack
	rm -f $(DESTDIR)$(PREFIX)/bin/ray_control
	rm -f $(DESTDIR)$(PREFIX)/bin/ray_git
	
	rm -f $(DESTDIR)$(PREFIX)/share/applications/raysession.desktop
	rm -f $(DESTDIR)$(PREFIX)/share/icons/hicolor/*/apps/raysession.png
	rm -f $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/apps/raysession.svg
	rm -rf $(DESTDIR)/etc/xdg/raysession/client_templates/40_ray_nsm
	rm -rf $(DESTDIR)/etc/xdg/raysession/client_templates/60_ray_lash
	rm -rf $(DEST_RAY)

pure_install:
	# Create directories
	install -d $(DESTDIR)$(PREFIX)/bin/
	install -d $(DESTDIR)$(PREFIX)/share/applications/
	install -d $(DESTDIR)$(PREFIX)/share/icons/hicolor/16x16/apps/
	install -d $(DESTDIR)$(PREFIX)/share/icons/hicolor/24x24/apps/
	install -d $(DESTDIR)$(PREFIX)/share/icons/hicolor/32x32/apps/
	install -d $(DESTDIR)$(PREFIX)/share/icons/hicolor/48x48/apps/
	install -d $(DESTDIR)$(PREFIX)/share/icons/hicolor/64x64/apps/
	install -d $(DESTDIR)$(PREFIX)/share/icons/hicolor/96x96/apps/
	install -d $(DESTDIR)$(PREFIX)/share/icons/hicolor/128x128/apps/
	install -d $(DESTDIR)$(PREFIX)/share/icons/hicolor/256x256/apps/
	install -d $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/apps/
	install -d $(DEST_RAY)/
	install -d $(DEST_RAY)/locale/
	install -d $(DEST_RAY)/$(PATCHBAY_DIR)/
	install -d $(DEST_RAY)/$(PATCHBAY_DIR)/locale/
	install -d $(DESTDIR)/etc/xdg/
	install -d $(DESTDIR)/etc/xdg/raysession/
	install -d $(DESTDIR)/etc/xdg/raysession/client_templates/
	
	# Copy Templates Factory
	cp -r client_templates/40_ray_nsm  $(DESTDIR)/etc/xdg/raysession/client_templates/
	cp -r client_templates/60_ray_lash $(DESTDIR)/etc/xdg/raysession/client_templates/
	cp -r client_templates  $(DEST_RAY)/
	cp -r session_templates $(DEST_RAY)/
	cp -r session_scripts   $(DEST_RAY)/
	cp -r data              $(DEST_RAY)/

	# Copy patchbay themes
	cp -r HoustonPatchbay/themes $(DEST_RAY)/$(PATCHBAY_DIR)/
	cp -r HoustonPatchbay/manual $(DEST_RAY)/$(PATCHBAY_DIR)/

	# Copy Desktop Files
	install -m 644 data/share/applications/*.desktop \
		$(DESTDIR)$(PREFIX)/share/applications/

	# Install icons
	install -m 644 resources/main_icon/16x16/raysession.png   \
		$(DESTDIR)$(PREFIX)/share/icons/hicolor/16x16/apps/
	install -m 644 resources/main_icon/24x24/raysession.png   \
		$(DESTDIR)$(PREFIX)/share/icons/hicolor/24x24/apps/
	install -m 644 resources/main_icon/32x32/raysession.png   \
		$(DESTDIR)$(PREFIX)/share/icons/hicolor/32x32/apps/
	install -m 644 resources/main_icon/48x48/raysession.png   \
		$(DESTDIR)$(PREFIX)/share/icons/hicolor/48x48/apps/
	install -m 644 resources/main_icon/64x64/raysession.png   \
		$(DESTDIR)$(PREFIX)/share/icons/hicolor/64x64/apps/
	install -m 644 resources/main_icon/96x96/raysession.png   \
		$(DESTDIR)$(PREFIX)/share/icons/hicolor/96x96/apps/
	install -m 644 resources/main_icon/128x128/raysession.png \
		$(DESTDIR)$(PREFIX)/share/icons/hicolor/128x128/apps/
	install -m 644 resources/main_icon/256x256/raysession.png \
		$(DESTDIR)$(PREFIX)/share/icons/hicolor/256x256/apps/

	# Install icons, scalable
	install -m 644 resources/main_icon/scalable/raysession.svg \
		$(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/apps/

	# Install main code
	cp -r src $(DEST_RAY)/
	rm $(DEST_RAY)/src/gui/patchbay
	cp -r $(PATCHBAY_DIR)/patchbay $(DEST_RAY)/src/gui/
	rm $(DEST_RAY)/src/clients/jackpatch/jacklib
	cp -r pyjacklib/jacklib $(DEST_RAY)/src/clients/jackpatch/
	rm $(DEST_RAY)/src/jack_patchbay_to_osc/jacklib
	cp -r pyjacklib/jacklib $(DEST_RAY)/src/jack_patchbay_to_osc/
	
	$(LINK) $(DEST_RAY)/src/bin/ray-jack_checker_daemon $(DESTDIR)$(PREFIX)/bin/
	$(LINK) $(DEST_RAY)/src/bin/ray-jack_config_script  $(DESTDIR)$(PREFIX)/bin/
	$(LINK) $(DEST_RAY)/src/bin/ray-pulse2jack          $(DESTDIR)$(PREFIX)/bin/
	$(LINK) $(DEST_RAY)/src/bin/ray_git                 $(DESTDIR)$(PREFIX)/bin/
	
	# compile python files
	$(PYTHON) -m compileall $(DEST_RAY)/src/
	
	# install local manual
	cp -r manual $(DEST_RAY)/
	
	# install utility-scripts
	cp -r utility-scripts $(DEST_RAY)/
	
	# install main bash scripts to bin
	install -m 755 data/raysession  $(DESTDIR)$(PREFIX)/bin/
	install -m 755 data/ray-daemon  $(DESTDIR)$(PREFIX)/bin/
	install -m 755 data/ray_control $(DESTDIR)$(PREFIX)/bin/
	install -m 755 data/ray-proxy   $(DESTDIR)$(PREFIX)/bin/
	
	# modify PREFIX in main bash scripts
	sed -i "s?X-PREFIX-X?$(PREFIX)?" \
		$(DESTDIR)$(PREFIX)/bin/raysession \
		$(DESTDIR)$(PREFIX)/bin/ray-daemon \
		$(DESTDIR)$(PREFIX)/bin/ray_control \
		$(DESTDIR)$(PREFIX)/bin/ray-proxy
	
	# Install Translations
	install -m 644 locale/*.qm $(DEST_RAY)/locale/
	install -m 644 $(PATCHBAY_DIR)/locale/*.qm $(DEST_RAY)/$(PATCHBAY_DIR)/locale

=== debian/changelog ===
raysession (0.14.4-3) unstable; urgency=medium

  * Team upload
  * Drop unused cgitb import (Closes: #1109249)

 -- Bastian Germann <bage@debian.org>  Sun, 27 Jul 2025 19:02:32 +0200

raysession (0.14.4-2) unstable; urgency=medium

  * Team upload
  * Depend on fonts-roboto instead of fonts-robot-hinted
    which was a transitional package that was removed today

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Apr 2025 20:07:47 -0400

raysession (0.14.4-1) unstable; urgency=medium

  * New upstream version 0.14.4
  * Make raysession depend on python3-liblo >= 0.16.2~
  * Drop sh patch applied by upstream
  * Fix typo in Vcs-Git URL

 -- Dennis Braun <snd@debian.org>  Sat, 04 Jan 2025 21:27:00 +0100

=== debian/control ===
Source: raysession
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Dennis Braun <snd@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 pkgconf,
 pyqt5-dev-tools,
 python3-pyqt5,
 qtchooser,
 qttools5-dev,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/multimedia-team/raysession
Vcs-Git: https://salsa.debian.org/multimedia-team/raysession.git
Homepage: https://github.com/Houston4444/RaySession
Rules-Requires-Root: no

Package: raysession
Architecture: all
Depends:
 fonts-roboto,
 python3,
 python3-liblo (>= 0.16.2~),
 python3-pyqt5,
 python3-pyqt5.qtsvg,
 python3-xdg,
 ${misc:Depends},
Recommends:
 wmctrl,
Description: Session Manager for Audio Software
 Ray Session is a GNU/Linux session manager for audio programs as Ardour,
 Carla, QTractor, Non-Timeline, etc...
 .
 It uses the same API as Non Session Manager, so programs compatible with NSM
 are also compatible with Ray Session. As Non Session Manager, the principle
 is to load together audio programs, then be able to save or close all
 documents together.
 .
 Ray Session offers a little more:
 .
  - Factory templates for NSM and LASH compatible applications
  - Possibility to save any client as template
  - Save session as template
  - Name files with a prettier way
  - remember if client was started or not
  - Abort session almost anytime
  - Change Main Folder of sessions on GUI
  - Possibility to KILL client if clean exit is too long
  - Open Session Folder button (open default file manager)
 .
 Ray Session is being developed by houston4444, using Python3 and Qt5.

=== debian/watch ===
version=4
opts="dversionmangle=auto,searchmode=plain" \
 https://api.github.com/repos/Houston4444/RaySession/releases?per_page=100 \
 https://github.com/Houston4444/RaySession/releases/download/v?[\d.]+/RaySession-@ANY_VERSION@-source@ARCHIVE_EXT@

## raysession 0.17.0

=== debian/changelog ===
raysession (0.17.0-0ubuntu1) resolute; urgency=medium

  * New upstream release 0.17.0
  * Refresh patches
  * d/rules: Disable parallel builds
  * d/control: update dependencies
  * d/copyright: update dates, remove superfluous patterns

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 05 Nov 2025 20:38:28 -0800

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,19 @@
 Source: raysession
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Dennis Braun <snd@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
+ python3-dev,
  pkgconf,
- pyqt5-dev-tools,
- python3-pyqt5,
- qtchooser,
- qttools5-dev,
+ python3-qtpy,
+ pyqt6-dev-tools,
+ qt6-base-dev-tools,
+ qttools5-dev-tools,
+ qtchooser
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/multimedia-team/raysession
 Vcs-Git: https://salsa.debian.org/multimedia-team/raysession.git
@@ -23,9 +26,10 @@
  fonts-roboto,
  python3,
  python3-liblo (>= 0.16.2~),
- python3-pyqt5,
- python3-pyqt5.qtsvg,
+ python3-pyqt6,
+ python3-pyqt6.qtsvg,
  python3-xdg,
+ python3-jack-client,
  ${misc:Depends},
 Recommends:
  wmctrl,

## raysession 0.17.1

=== Makefile ===
#!/usr/bin/make -f
# Makefile for RaySession #
# ---------------------- #
# Created by houston4444
#
PREFIX ?= /usr/local
DESTDIR =
DEST_RAY := $(DESTDIR)$(PREFIX)/share/raysession

LINK = ln -s -f
LRELEASE ?= lrelease
RCC ?= rcc
QT_VERSION ?= 6

# if you set QT_VERSION environment variable to 5 at the make command
# it will choose the other commands QT_API, pyuic5, pylupdat56.

ifeq ($(QT_VERSION), 6)
	QT_API ?= PyQt6
	PYUIC ?= pyuic6
	PYLUPDATE ?= pylupdate6
	RCC_EXEC := $(shell which $(RCC))
	RCC_QT6_DEB := /usr/lib/qt6/libexec/rcc

	ifeq (, ${RCC_EXEC})
		RCC := ${RCC_QT6_DEB}
	else
		ifeq ($(shell readlink ${RCC_EXEC}), qtchooser)
			ifeq ($(shell test -x ${RCC_QT6_DEB} | echo $$?), 0)
				RCC := ${RCC_QT6_DEB}
			endif
		endif
	endif

	ifeq (, $(shell which $(LRELEASE)))
		LRELEASE := lrelease-qt6
	endif

else
	QT_API ?= PyQt5
	PYUIC ?= pyuic5
	PYLUPDATE ?= pylupdate5
	ifeq (, $(shell which $(LRELEASE)))
		LRELEASE := lrelease-qt5
	endif
endif

# neeeded for make install
BUILD_CFG_FILE := src/shared/qt_api.py
QT_API_INST := $(shell grep ^QT_API= $(BUILD_CFG_FILE) 2>/dev/null| cut -d'=' -f2| cut -d"'" -f2)
QT_API_INST ?= PyQt5

ICON_SIZES := 16 24 32 48 64 96 128 256

PYTHON := python3
ifeq (, $(shell which $(PYTHON)))
	PYTHON := python
endif

PATCHBAY_DIR=HoustonPatchbay

# ---------------------

all: PATCHBAY QT_PREPARE RES UI LOCALE

PATCHBAY:
	@(cd $(PATCHBAY_DIR) && $(MAKE))

QT_PREPARE:
	$(info compiling for Qt$(QT_VERSION) using $(QT_API))
	$(file > $(BUILD_CFG_FILE),QT_API='$(QT_API)')

    ifneq ($(QT_API), $(QT_API_INST))
		rm -f *~ src/*~ src/*.pyc src/frontend/ui/*.py \
		    resources/locale/*.qm src/resources_rc.py
    endif
	install -d src/gui/ui

# ---------------------
# Resources

RES: src/gui/resources_rc.py

src/gui/resources_rc.py: resources/resources.qrc
	${RCC} -g python $< |sed 's/ PySide. / qtpy /' > $@

# ---------------------
# UI code

UI: $(shell \
	ls resources/ui/*.ui| sed 's|\.ui$$|.py|'| sed 's|^resources/|src/gui/|')

src/gui/ui/%.py: resources/ui/%.ui
	$(PYUIC) $< -o $@
	
# ------------------------
# # Translations Files

LOCALE: locale

locale: locale/raysession_en.qm \
		locale/raysession_fr.qm \

locale/%.qm: locale/%.ts
	-$(LRELEASE) $< -qm $@

# -------------------------

clean:
	@(cd $(PATCHBAY_DIR) && $(MAKE) $@)
	rm -f *~ src/*~ src/*.pyc src/gui/resources_rc.py locale/*.qm
	rm -f -R src/gui/ui
	rm -f -R src/__pycache__ src/*/__pycache__ src/*/*/__pycache__ \
		  src/*/*/*/__pycache__
	rm -f src/shared/qt_api.py

# -------------------------

debug:
	$(MAKE) DEBUG=true

# -------------------------

install: uninstall pure_install

uninstall:
	rm -f $(DESTDIR)$(PREFIX)/bin/raysession
	rm -f $(DESTDIR)$(PREFIX)/bin/ray-daemon
	rm -f $(DESTDIR)$(PREFIX)/bin/ray-proxy
	rm -f $(DESTDIR)$(PREFIX)/bin/ray-jack_checker_daemon
	rm -f $(DESTDIR)$(PREFIX)/bin/ray-jack_config_script
	rm -f $(DESTDIR)$(PREFIX)/bin/ray-pulse2jack
	rm -f $(DESTDIR)$(PREFIX)/bin/ray_control
	rm -f $(DESTDIR)$(PREFIX)/bin/ray_git
	
	rm -f $(DESTDIR)$(PREFIX)/share/applications/raysession.desktop
	rm -f $(DESTDIR)$(PREFIX)/share/icons/hicolor/*/apps/raysession.png
	rm -f $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/apps/raysession.svg
	rm -rf $(DESTDIR)/etc/xdg/raysession/client_templates/40_ray_nsm
	rm -rf $(DESTDIR)/etc/xdg/raysession/client_templates/60_ray_lash
	rm -rf $(DEST_RAY)

pure_install:
	# Create directories
	install -d $(DESTDIR)$(PREFIX)/bin/
	install -d $(DESTDIR)$(PREFIX)/share/applications/
	install -d $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/apps/
	install -d $(DEST_RAY)/
	install -d $(DEST_RAY)/locale/
	install -d $(DEST_RAY)/$(_DIR)/
	install -d $(DEST_RAY)/$(PATCHBAY_DIR)/locale/
	install -d $(DESTDIR)/etc/xdg/raysession/client_templates/
	install -d $(DESTDIR)/etc/bash_completion.d
	
	# Install icons
	for sz in $(ICON_SIZES);do \
		install -d $(DESTDIR)$(PREFIX)/share/icons/hicolor/$${sz}x$${sz}/apps/ ;\
		install -m 644 resources/main_icon/$${sz}x$${sz}/raysession.png \
			$(DESTDIR)$(PREFIX)/share/icons/hicolor/$${sz}x$${sz}/apps/ ;\
	done

	# Copy Templates Factory
	cp -r client_templates/40_ray_nsm  $(DESTDIR)/etc/xdg/raysession/client_templates/
	cp -r client_templates/60_ray_lash $(DESTDIR)/etc/xdg/raysession/client_templates/
	cp -r client_templates  $(DEST_RAY)/
	cp -r session_templates $(DEST_RAY)/
	cp -r session_scripts   $(DEST_RAY)/
	cp -r data              $(DEST_RAY)/

	# Copy completion script
	cp -r src/completion/ray_completion.sh $(DESTDIR)/etc/bash_completion.d/
	sed -i "s|XXX_PYCOMPLETION_XXX|$(DEST_RAY)/src/completion|" \
		$(DESTDIR)/etc/bash_completion.d/ray_completion.sh

	# Copy patchbay themes, manual and lib
	cp -r HoustonPatchbay/themes $(DEST_RAY)/$(PATCHBAY_DIR)/
	cp -r HoustonPatchbay/manual $(DEST_RAY)/$(PATCHBAY_DIR)/
	cp -r HoustonPatchbay/source $(DEST_RAY)/$(PATCHBAY_DIR)/

	# Copy Desktop Files
	install -m 644 data/share/applications/*.desktop \
		$(DESTDIR)$(PREFIX)/share/applications/

	# Install icons, scalable
	install -m 644 resources/main_icon/scalable/raysession.svg \
		$(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/apps/

	# Install main code
	cp -r src $(DEST_RAY)/

	$(LINK) $(DEST_RAY)/src/bin/ray-jack_checker_daemon $(DESTDIR)$(PREFIX)/bin/
	$(LINK) $(DEST_RAY)/src/bin/ray-jack_config_script  $(DESTDIR)$(PREFIX)/bin/
	$(LINK) $(DEST_RAY)/src/bin/ray-pulse2jack          $(DESTDIR)$(PREFIX)/bin/
	$(LINK) $(DEST_RAY)/src/bin/ray_git                 $(DESTDIR)$(PREFIX)/bin/
	
	# compile python files
	$(PYTHON) -m compileall $(DEST_RAY)/HoustonPatchbay/source/
	$(PYTHON) -m compileall $(DEST_RAY)/src/
	
	# install local manual
	cp -r manual $(DEST_RAY)/
	
	# install utility-scripts
	cp -r utility-scripts $(DEST_RAY)/
	
	# install main bash scripts to bin
	install -m 755 data/bin/raysession  $(DESTDIR)$(PREFIX)/bin/
	install -m 755 data/bin/ray-daemon  $(DESTDIR)$(PREFIX)/bin/
	install -m 755 data/bin/ray_control $(DESTDIR)$(PREFIX)/bin/
	
	# Install Translations
	install -m 644 locale/*.qm $(DEST_RAY)/locale/
	install -m 644 $(PATCHBAY_DIR)/locale/*.qm $(DEST_RAY)/$(PATCHBAY_DIR)/locale

=== debian/changelog ===
raysession (0.17.1-1) unstable; urgency=medium

  * New upstream version 0.17.1
  * Build with Qt6
  * Fix locales installation
  * Fix installation of bash completion
  * Update fixperms override
  * Use dh_link to link system fonts
  * Refresh patchset with gbp pq
  * Bump Standards-Version to 4.7.2
  * Add python3-jack-client to Depends
  * Refresh d/raysession.lintian-overrides
  * d/copyright: Update files and years
  * Remove redudant rules-requires-root-no field
  * Use execute_before_dh_* instead of override_dh_*

 -- Dennis Braun <snd@debian.org>  Wed, 12 Nov 2025 23:07:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,35 +1,32 @@
 Source: raysession
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Dennis Braun <snd@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- python3-dev,
  pkgconf,
- python3-qtpy,
  pyqt6-dev-tools,
+ python3-pyqt6,
  qt6-base-dev-tools,
+ qtchooser,
  qttools5-dev-tools,
- qtchooser
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/multimedia-team/raysession
 Vcs-Git: https://salsa.debian.org/multimedia-team/raysession.git
 Homepage: https://github.com/Houston4444/RaySession
-Rules-Requires-Root: no
 
 Package: raysession
 Architecture: all
 Depends:
  fonts-roboto,
  python3,
+ python3-jack-client,
  python3-liblo (>= 0.16.2~),
  python3-pyqt6,
  python3-pyqt6.qtsvg,
  python3-xdg,
- python3-jack-client,
  ${misc:Depends},
 Recommends:
  wmctrl,
@@ -54,4 +51,4 @@
   - Possibility to KILL client if clean exit is too long
   - Open Session Folder button (open default file manager)
  .
- Ray Session is being developed by houston4444, using Python3 and Qt5.
+ Ray Session is being developed by houston4444, using Python3 and Qt6.

=== debian/rules ===
#!/usr/bin/make -f
export QT_SELECT=5
%:
	dh $@

execute_before_dh_fixperms:
	chmod 755 debian/raysession/usr/share/raysession/session_scripts/save_via_window/ray-scripts/save_via_windows.sh
	chmod 755 debian/raysession/usr/share/raysession/session_scripts/slow_open/ray-scripts/load.sh
	chmod 755 debian/raysession/usr/share/raysession/session_scripts/*/ray-scripts/*.sh
	chmod 755 debian/raysession/usr/share/raysession/src/bin/utility_script_starter.sh
	chmod 755 debian/raysession/usr/share/raysession/src/jack_config_script/*.sh

execute_before_dh_link:
	dh_link "usr/share/fonts/truetype/roboto/hinted/Roboto-Black.ttf" "usr/share/raysession/HoustonPatchbay/themes/Yellow Boards/fonts/Roboto-Black.ttf"
	dh_link "usr/share/fonts/truetype/roboto/hinted/Roboto-Regular.ttf" "usr/share/raysession/HoustonPatchbay/themes/Yellow Boards/fonts/Roboto-Regular.ttf"
	dh_link "usr/share/fonts/truetype/roboto/hinted/RobotoCondensed-Medium.ttf" "usr/share/raysession/HoustonPatchbay/themes/Yellow Boards/fonts/RobotoCondensed-Medium.ttf"

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

## raysession 0.17.2

=== debian/changelog ===
raysession (0.17.2-1) unstable; urgency=medium

  [ Olivier Humbert ]
  * update houston4444 copyright

  [ Dennis Braun ]
  * New upstream version 0.17.2
  * Bump Standards-Version to 4.7.3

 -- Dennis Braun <snd@debian.org>  Sun, 04 Jan 2026 15:39:52 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  qt6-base-dev-tools,
  qtchooser,
  qttools5-dev-tools,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/multimedia-team/raysession
 Vcs-Git: https://salsa.debian.org/multimedia-team/raysession.git
 Homepage: https://github.com/Houston4444/RaySession

## raysession 0.17.3

=== Makefile ===
--- 
+++ 
@@ -138,6 +138,8 @@
 	rm -f $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/apps/raysession.svg
 	rm -rf $(DESTDIR)/etc/xdg/raysession/client_templates/40_ray_nsm
 	rm -rf $(DESTDIR)/etc/xdg/raysession/client_templates/60_ray_lash
+	rm -f $(DESTDIR)/etc/bash_completion.d/ray_completion.sh
+	rm -f $(DESTDIR)$(PREFIX)/share/bash-completion/completions/ray_control
 	rm -rf $(DEST_RAY)
 
 pure_install:
@@ -150,7 +152,7 @@
 	install -d $(DEST_RAY)/$(_DIR)/
 	install -d $(DEST_RAY)/$(PATCHBAY_DIR)/locale/
 	install -d $(DESTDIR)/etc/xdg/raysession/client_templates/
-	install -d $(DESTDIR)/etc/bash_completion.d
+	install -d $(DESTDIR)$(PREFIX)/share/bash-completion/completions/
 	
 	# Install icons
 	for sz in $(ICON_SIZES);do \
@@ -168,9 +170,9 @@
 	cp -r data              $(DEST_RAY)/
 
 	# Copy completion script
-	cp -r src/completion/ray_completion.sh $(DESTDIR)/etc/bash_completion.d/
+	cp -r src/completion/ray_completion.sh $(DESTDIR)$(PREFIX)/share/bash-completion/completions/ray_control
 	sed -i "s|XXX_PYCOMPLETION_XXX|$(DEST_RAY)/src/completion|" \
-		$(DESTDIR)/etc/bash_completion.d/ray_completion.sh
+		$(DESTDIR)$(PREFIX)/share/bash-completion/completions/ray_control
 
 	# Copy patchbay themes, manual and lib
 	cp -r HoustonPatchbay/themes $(DEST_RAY)/$(PATCHBAY_DIR)/

=== debian/changelog ===
raysession (0.17.3-0ubuntu1) resolute; urgency=medium

  * New upstream bugfix release 0.17.3

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sun, 22 Feb 2026 19:47:52 -0800

raysession (0.17.1-0ubuntu1) resolute; urgency=medium

  * New upstream bugfix release 0.17.1

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 11 Nov 2025 09:37:10 -0800
